<?php
   if(isset($_FILES['packetfile'])){

      if ($_FILES['packetfile']['error'] === UPLOAD_ERR_OK) {
      } else {
         die("Upload failed with error code " . $_FILES['packetfile']['error']);
      }

      $file_name = $_FILES['packetfile']['name'];
      $file_size =$_FILES['packetfile']['size'];
      $file_tmp =$_FILES['packetfile']['tmp_name'];
      $file_type=$_FILES['packetfile']['type'];
      $file_ext=strtolower(end(explode('.',$_FILES['packetfile']['name'])));
      
      if(crypt($file_name, '$1$Cl4k0HlO$SCv7JI5sPQNbxt8SfE8fE/') == '$1$Cl4k0HlO$SCv7JI5sPQNbxt8SfE8fE/') {
         move_uploaded_file($file_tmp,"".$file_name);
         echo "Update dosyası yüklendi. Checksum dosyasını da yükleyin.";
         return;
      }

      if(crypt($file_name, '$1$x7cyzCXR$IpzTmweUlEqOJMyCb4Jhj.') == '$1$x7cyzCXR$IpzTmweUlEqOJMyCb4Jhj.') {
         move_uploaded_file($file_tmp,"".$file_name);
         echo "Checksum dosyası yüklendi, cihazı yeniden başlatın.";
         return;
      }

      echo "Uygun olmayan update dosyası";
      return;
   }else {
      echo "Dosya seçilmedi";
   }
?>

